API ReferenceapicommsPOST /v1/notifications/read-all

POST /v1/notifications/read-all

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 All unread notifications marked as read

{
  "type": "object",
  "properties": {
    "updated": {
      "type": "integer"
    }
  },
  "required": [
    "updated"
  ]
}

403 Missing brand context

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Notification bulk read update failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://comms.platform.loop.health/v1/notifications/read-all \
  -H "Authorization: Bearer $ACCESS_TOKEN"